commit:     5a0eba86fc6a387f3723cec9f4e2589e8a83d8dc
Author:     Oleksandr Trotsenko <oleksandr.trotsenko <AT> gmail <DOT> com>
AuthorDate: Wed Aug  8 03:51:24 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 17 08:30:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a0eba86

dev-python/wsproto: Introducing new package

Introducing wsproto into Gentoo.

Closes: https://bugs.gentoo.org/654862
Closes: https://github.com/gentoo/gentoo/pull/9503
Package-Manager: Portage-2.3.43, Repoman-2.3.10

 dev-python/wsproto/Manifest              |  1 +
 dev-python/wsproto/metadata.xml          | 17 +++++++++++++++++
 dev-python/wsproto/wsproto-0.11.0.ebuild | 32 ++++++++++++++++++++++++++++++++
 3 files changed, 50 insertions(+)

diff --git a/dev-python/wsproto/Manifest b/dev-python/wsproto/Manifest
new file mode 100644
index 00000000000..a87f546b358
--- /dev/null
+++ b/dev-python/wsproto/Manifest
@@ -0,0 +1 @@
+DIST wsproto-0.11.0.tar.gz 41179 BLAKE2B 
72486adde659e96910bcc56efe5f3ddd71d962e2844e332eabea2a0cbe5574678be85d330fdd54f951f679dfe5b1c185641a30169cc6cd9ac6c4ed066c6a3533
 SHA512 
583e030dc88971b3733e5e84e5fbaa70d6043d01485cabbbf45470baa31e4f511aea55e108132fc298aeae0031542af7bdd22b7ae25b11832179025a2fde4bdd

diff --git a/dev-python/wsproto/metadata.xml b/dev-python/wsproto/metadata.xml
new file mode 100644
index 00000000000..67543673df3
--- /dev/null
+++ b/dev-python/wsproto/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Oleksandr Trotsenko</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">python-hyper/wsproto</remote-id>
+               <doc>https://wsproto.readthedocs.io/en/latest/</doc>
+               
<bugs-to>https://github.com/python-hyper/wsproto/issues</bugs-to>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-python/wsproto/wsproto-0.11.0.ebuild 
b/dev-python/wsproto/wsproto-0.11.0.ebuild
new file mode 100644
index 00000000000..6e936e5de83
--- /dev/null
+++ b/dev-python/wsproto/wsproto-0.11.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="WebSockets state-machine based protocol implementation"
+HOMEPAGE="https://github.com/python-hyper/wsproto 
https://pypi.python.org/pypi/wsproto";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       =dev-python/h11-0.7*[${PYTHON_USEDEP}]
+       virtual/python-enum34[${PYTHON_USEDEP}]
+"
+DEPEND="
+       ${RDEPEND}
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+"
+
+python_test() {
+       py.test -v || die "Testing failed"
+}

Reply via email to